SUPERHYWAY_REGISTER_(9)

NAME
superhyway_register_driver - Register a new SuperHyway driver

SYNOPSIS

int superhyway_register_driver(struct superhyway_driver * drv);

ARGUMENTS

drv
    SuperHyway driver to register.

DESCRIPTION

This registers the passed in drv. Any devices matching the id table will automatically be populated and handed off to the driver's specified probe routine.

AUTHOR

Paul Mundt <lethal@linux-sh.org>
    Author.

COPYRIGHT